Subject: RE: Compatibility problem: Cygwin make and makefile filename case
From: Mike Ayers <[email-masked]>
To: Frank Ellert <[email-masked]>
Cc: [email-masked]
Date: Mon, 27 Nov 2000 09:57:50 -0800 (PST)

Just a thought, but you could instruct Cygwin users to execute the
following from their bash shell:

$ if [ -f MAKEFILE ] ; then mv MAKEFILE makefile ; fi

     I just tested this with `DIR /X ` on NT and found that it would
change the base DOS filename!  Not a perfect solution, but a viable
one...

     $.02,

/|/|ike

> From: Frank Ellert [mailto:[email-masked]]
> 
> Earnie Boyd <[email-masked]> writes:
> 
> >So, if I had a Cygwin compatible unarchiver would it name 
> the file makefile
> >instead of MAKEFILE?  Most likely, yes.  The real issue here 
> is the means by
> >which you unarchive the file.
> 
> Yes, you're right and I'm wrong.  I used an old DOS unarchiver that
> didn't know LFNs and so always named the file "MAKEFILE", independend
> of wether the file was archived as "Makefile" or "makefile".  The
most
> recent MS-Windows port of my archiver names the file correctly.  I'm
> sorry!
> 
> But the patch is still useful since it adds some kind of DOS
> compatibility to Cygwin make.  ;-)
> 
> Frank
> -- 
> "Wer den Swing in sich hat, kann nicht mehr im Gleichschritt
> marschieren." Coco Schumann, Jazzer, Überlebender des KZ
> Theresienstadt
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
> 

__________________________________________________
Do You Yahoo!?
Yahoo! Shopping - Thousands of Stores. Millions of Products.
http://shopping.yahoo.com/

--
Want to unsubscribe from this list?
Send a message to [email-masked]